{% extends 'app_lmgas/base.html' %}
{% load static %}
{% block title%}LMGAS - Mis Pedidos{% endblock%}

{% block contenido %}

<div class="container" style="margin-top: 50px;">
        <h6 id="direccion"><a href="{%url 'home'%}">inicio</a> > <a href="{%url 'MiCuenta'%}">mi cuenta </a>> mis pedidos</h6>

        <div class="row">
            <div id="panel-cliente" class="col-sm-3">
                <ul class="nav flex-column">
                    <li>
                        <h3 style="border-bottom: 1px solid #acacac;">Panel de cliente</h3>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{%url 'MiCuenta'%}">Datos cliente</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{%url 'CambiarContraseña'%}">Cambiar contraseña</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{%url 'MisPedidos'%}">Mis pedidos</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{%url 'logout'%}">Cerrar sesión</a>
                    </li>
                </ul>
            </div>

            <div class="col-sm-9">
                <h3>Historial de pedidos</h3>
                <form class="form-inline my-2 my-lg-0 ml-auto float-right">
                    <input class="form-control mr-sm-2 mb-2" type="text" placeholder="Filtrar por id"
                        aria-label="InputPedidos" id="InputPedidos" onkeyup="filtrarID()">
                </form>
                <table id="tabla_pedidos" class="table table-hover table-responsive-sm">
                    <thead>
                        <tr>
                            <th>Id pedido</th>
                            <th>Cliente</th>
                            <th>Estado</th>
                            <th>Seguimiento</th>
                            <th>Fecha de pedido</th>
                            <th>Total</th> 
                            <th>Detalles</th>
                        </tr>
                    </thead>
                    <tbody>
                    {% for pedido in mispedidos %}
                        <tr>
                            <td>{{pedido.id_pedido}}</td>
                            <td>{{pedido.rut.username}}</td>
                            <td>{{pedido.estado_pedido}}</td>
                            <td><a href=""><ion-icon style="font-size: 30px;" name="car-sport-outline"></ion-icon></a></td>
                            <td>{{pedido.fec_pedido}}</td>
                            <td>{{pedido.obtenerTotalFinal}}</td>
                            <td><a href="{% url 'DetallePedido' pedido.id_pedido %}"><ion-icon style="font-size: 30px;" name="add-circle-outline"></ion-icon></a></td>  
                        </tr>
                    {% endfor %} 
                    </tbody>
                </table>
            </div>
        </div>

    </div>

    <script>
        function filtrarID() {
          // Declare variables
          var input, filter, table, tr, td, i, txtValue;
          input = document.getElementById("InputPedidos");
          filter = input.value.toUpperCase();
          table = document.getElementById("tabla_pedidos");
          tr = table.getElementsByTagName("tr");
        
          // Loop through all table rows, and hide those who don't match the search query
          for (i = 0; i < tr.length; i++) {
            td = tr[i].getElementsByTagName("td")[0];
            if (td) {
              txtValue = td.textContent || td.innerText;
              if (txtValue.toUpperCase().indexOf(filter) > -1) {
                tr[i].style.display = "";
              } else {
                tr[i].style.display = "none";
              }
            }
          }
        }
        </script>


{% endblock contenido %}
